//------------------------------------------------------------------
// x.js
//------------------------------------------------------------------
// Tony Garland
// contact@spiritandtruth.org

var undefined;
//------------------------------------------------------------------
// Field a Cross-Reference Generated Within this Book
//------------------------------------------------------------------
window.mhFiles = new Array()
window.mhFiles[ 'mtt.'  ] = 'B40';
window.mhFiles[ 'mark'  ] = 'B41';
window.mhFiles[ 'luke'  ] = 'B42';
window.mhFiles[ 'john'  ] = 'B43';
window.mhFiles[ 'acts'  ] = 'B44';
window.mhFiles[ 'rom.'  ] = 'B45';
window.mhFiles[ '1cor.' ] = 'B46';
window.mhFiles[ '2cor.' ] = 'B47';
window.mhFiles[ 'gal.'  ] = 'B48';
window.mhFiles[ 'eph.'  ] = 'B49';
window.mhFiles[ 'php.'  ] = 'B50';
window.mhFiles[ 'col.'  ] = 'B51';
window.mhFiles[ '1th.'  ] = 'B52';
window.mhFiles[ '2th.'  ] = 'B53';
window.mhFiles[ '1ti.'  ] = 'B54';
window.mhFiles[ '2ti.'  ] = 'B55';
window.mhFiles[ 'tit.'  ] = 'B56';
window.mhFiles[ 'phm.'  ] = 'B57';
window.mhFiles[ 'heb.'  ] = 'B58';
window.mhFiles[ 'jas.'  ] = 'B59';
window.mhFiles[ '1pe.'  ] = 'B60';
window.mhFiles[ '2pe.'  ] = 'B61';
window.mhFiles[ '1jn.'  ] = 'B62';
window.mhFiles[ '2jn.'  ] = 'B63';
window.mhFiles[ '3jn.'  ] = 'B64';
window.mhFiles[ 'jude'  ] = 'B65';
window.mhFiles[ 'rev.'  ] = 'B66';

window.mhFiles[ 'gen.'  ] = 'B01';
window.mhFiles[ 'ex.'   ] = 'B02';
window.mhFiles[ 'lev.'  ] = 'B03';
window.mhFiles[ 'num.'  ] = 'B04';
window.mhFiles[ 'deu.'  ] = 'B05';
window.mhFiles[ 'jos.'  ] = 'B06';
window.mhFiles[ 'jdg.'  ] = 'B07';
window.mhFiles[ 'ru.'   ] = 'B08';
window.mhFiles[ '1s.'   ] = 'B09';
window.mhFiles[ '2s.'   ] = 'B10';
window.mhFiles[ '1k.'   ] = 'B11';
window.mhFiles[ '2k.'   ] = 'B12';
window.mhFiles[ '1chr.' ] = 'B13';
window.mhFiles[ '2chr.' ] = 'B14';
window.mhFiles[ 'ezra'  ] = 'B15';
window.mhFiles[ 'ne.'   ] = 'B16';
window.mhFiles[ 'est.'  ] = 'B17';
window.mhFiles[ 'job'   ] = 'B18';
window.mhFiles[ 'ps.'   ] = 'B19';
window.mhFiles[ 'pr.'   ] = 'B20';
window.mhFiles[ 'ecc.'  ] = 'B21';
window.mhFiles[ 'sos.'  ] = 'B22';
window.mhFiles[ 'isa.'  ] = 'B23';
window.mhFiles[ 'jer.'  ] = 'B24';
window.mhFiles[ 'lam.'  ] = 'B25';
window.mhFiles[ 'eze.'  ] = 'B26';
window.mhFiles[ 'dan.'  ] = 'B27';
window.mhFiles[ 'hos.'  ] = 'B28';
window.mhFiles[ 'joel'  ] = 'B29';
window.mhFiles[ 'amos'  ] = 'B30';
window.mhFiles[ 'ob.'   ] = 'B31';
window.mhFiles[ 'jonah' ] = 'B32';
window.mhFiles[ 'mic.'  ] = 'B33';
window.mhFiles[ 'nah.'  ] = 'B34';
window.mhFiles[ 'hab.'  ] = 'B35';
window.mhFiles[ 'zep.'  ] = 'B36';
window.mhFiles[ 'hag.'  ] = 'B37';
window.mhFiles[ 'zec.'  ] = 'B38';
window.mhFiles[ 'mal.'  ] = 'B39';

// Input is cross reference to anchor.
// Go to the location ourselves (without linked books).
function XALONE( anchor )
    {

    // If have a button cross reference (e.g. 'B01C001|BOT')
    parts = anchor.split( '|' )
    if ( parts.length == 2 )
        {
        url = parts[0] + '.htm#__' + parts[1] + '__'
        }

    // Else assume an address.
    else
        {

        book = anchor.toLowerCase().split( '_' )
        url = window.mhFiles[ book[ 0 ] ]

        // Convert chapter into fixed-width;
        chapter = book[ 1 ]
        chapter = chapter.split( 'v' )
        chapter = chapter[ 0 ].split( 'c' )
        chapter = chapter[ 1 ]
        if ( chapter < 10 )
            {
            chapter = "00" + chapter;
            }
        else if ( chapter < 100 )
            {
            chapter = "0" + chapter;
            }
        url += "c" + chapter + ".htm#" + anchor

        }

    //alert( url );
    window.location.href = url;
    return;

    }
